POST api/medistreamprogramstepapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediStreamProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| medistream_program_step_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "9f8adbef-c362-451f-9f36-de4d9246e1e2",
"program_id": "145ed3e4-d2de-4803-9cad-6e8d706af0e6",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "abb70ee3-3516-4a82-97e3-7c8cad50a65b",
"active": true
}
application/xml, text/xml
Sample:
<medistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>3</code> <id>9f8adbef-c362-451f-9f36-de4d9246e1e2</id> <medistream_program_step_type_id>abb70ee3-3516-4a82-97e3-7c8cad50a65b</medistream_program_step_type_id> <name>sample string 4</name> <program_id>145ed3e4-d2de-4803-9cad-6e8d706af0e6</program_id> </medistream_program_step>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"753acc46-e7a6-49f4-8fb0-48bef3335cb2"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">753acc46-e7a6-49f4-8fb0-48bef3335cb2</guid>